@import "sass-essentials";

.data-table {
  display: inline-block;
  width: 100%;

  .data-table__row {
    display: grid;
    grid-auto-flow: column;
    grid-template-columns: 1fr;
    background-color: #FFF;
    color: #000;
    padding: 30px 30px 18px 30px;
    position: relative;
    width: 100%;
    float: left;

    &:after {
      content: '';
      background-image: linear-gradient(to top, #E9E9E9 0%, #DDD 50%);
      height: 6px;
      position: absolute;
      bottom: 0px;
      left: 0;
      width: 100%;
    }
    &:last-child:after {
      display: none;
    }
  }

  .data-table__row--2 {
    grid-template-columns: repeat(2, 50%);
  }

  .data-table__row--3 {
    grid-template-columns: repeat(3, 33.3%);
  }

  .data-table__row--4 {
    grid-template-columns: repeat(4, 25%);
  }

  .data-table__row--5 {
    grid-template-columns: repeat(5, 20%);
  }

  .data-table__row--6 {
    grid-template-columns: repeat(6, 16.6%);
  }

  .data-table__row--7 {
    grid-template-columns: repeat(7, 14.28%);
  }

  .data-table__row--8 {
    grid-template-columns: repeat(8, 12.5%);
  }

  .data-table__row--header {
    background-color: #DDD;
  }

  .cell {
    width: 100%;
    margin-bottom: 12px;
    padding: 0 10px;
    word-wrap: break-word;
    hyphens: auto;
  }

  .cell--header--hidden {
    text-indent: -9999px;
  }

  .cell__label {
    display: none;
    font-weight: bold;
    font-size: 25px;
    line-height: 20px;
  }

  .cell__label--hidden {
    display: none;
  }

  .cell__content {
    display: block;
    font-size: 18px;
    line-height: 28px;
  }
}
